Skip to Content
BusinessChecksReceived Checks

Create Received Checks

POST
/v0/business/{business_id}/received-checks

Record checks a Business has received. Each check posts to Undeposited Funds on the day it was received, against the income it is categorized to. To pay invoices with a check, apply its transaction_id to them through the invoice payment endpoint, which replaces the categorized entry.

Scopes: check:create

Authorization

OAuth2ClientCredentialsBearer check:create
headerAuthorizationBearer <token>

Scope: check:create

Path Parameters

business_id*Business Id

The id of the business

Formatbiz_string

Header Parameters

x-user-id?|

Optional external entity identifier that performed the action

Request Body

application/json
  1. body
Itemsitems <= 100
[index: integer]?

Response Body

Successful Response

application/json
  1. response
data*array<>
errors*array<>
Example Request
curl -X POST 'https://api.sandbox.getasset.com/v0/business/biz_GA6EG2qFxA97NZHtxeLPUy/received-checks' \  -H 'Content-Type: application/json' \  -d '[  {    "payer": "Acme Corp",    "amount": 400,    "received_at": "2026-09-28T00:00:00Z"  }]'
Example Response
{  "data": [    {      "business_id": "biz_Pk2fNFDd8wj7EFeLWJywc7",      "payer": "Acme Corp",      "customer_id": "cus_WQMDNUHpBThYSNh4AprDBo",      "amount": 400,      "currency": "USD",      "check_number": "2207",      "payer_routing_number": "021000021",      "payer_account_number": "000123456789",      "received_at": "2019-08-24T14:15:22Z",      "memo": "Invoice INV-1001",      "voided_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "id": "rck_WQMDNUHpBThYSNh4AprDBo",      "transaction_id": "txn_oiL7THC5RDi2PVUbVyyoJ",      "void_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "deposit_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "deposited_at": "2019-08-24T14:15:22Z",      "return_transaction_id": "txn_WQMDNUHpBThYSNh4AprDBo",      "returned_at": "2019-08-24T14:15:22Z",      "invoice_payments": [        {          "invoice_id": "inv_Lq5AyApd4pdL1VvakpY5aJ",          "payment_amount": 400        }      ],      "status": "received"    }  ],  "errors": [    {      "error": "string",      "check_number": "string",      "payer": "string"    }  ]}